import picoweb
import network
from machine import Pin
import time


ip=[]
app = picoweb.WebApp(__name__)

#create the Access Point
ap = network.WLAN(network.AP_IF)
ap.active(True)
ap.config(essid='espAP', password='espAPpassword')
myip = ap.ifconfig()
print(myip)

#connect to the available wifi networks
station = network.WLAN(network.STA_IF)
station.active(True)
station.connect("wifi-network-name","wifi-network-password")
myip2 = station.ifconfig()
print(myip2)


def qs_parse(qs):
    parameters = {}
    ampersandSplit = qs.split("&")
    for element in ampersandSplit:
        equalSplit = element.split("=")
        parameters[equalSplit[0]] = equalSplit[1]
    return parameters

#create the api endpoint to control the pin provided as parameter on API call
@app.route("/pin_ctl")
def index(req, resp):
    queryString = req.qs
    parameters = qs_parse(queryString)
    print(parameters)
    x= int(parameters['pin'])
    pin = machine.Pin(x, machine.Pin.OUT)
    pin.value(0)
    time.sleep(0.5)
    pin.value(1)
    time.sleep(0.5)
    pin.value(0)
    time.sleep(0.5)
    pin.value(1)
    time.sleep(0.5)
    yield from picoweb.start_response(resp)
    yield from resp.awrite("done")

if __name__ == "__main__":
    app.run(debug=True,host="0.0.0.0",port=80)
